package workflow

import (
	"github.com/gin-gonic/gin"
	v1 "server/api/v1"
	"server/middleware"
)

type ProjectProcessRouter struct{}

func (s *ProjectProcessRouter) InitProjectProcessRouter(Router *gin.RouterGroup) {
	projectProcessRouter := Router.Group("projectProcess").Use(middleware.OperationRecord())
	projectProcessRouterWithoutRecord := Router.Group("projectProcess")

	projectProcessApi := v1.ApiGroupApp.WorkflowApiGroup.ProjectProcessApi
	{
		projectProcessRouter.POST("createApprover", projectProcessApi.CreateProjectProcess)
		projectProcessRouter.PUT("updateApprover", projectProcessApi.UpdateProjectProcess)
		projectProcessRouter.DELETE("deleteApprover", projectProcessApi.DeleteProjectProcess)
	}
	{
		projectProcessRouterWithoutRecord.POST("queryProjectApplicantList", projectProcessApi.QueryProjectApplicantList)
		projectProcessRouterWithoutRecord.GET("queryProjectProcessList", projectProcessApi.QueryProjectProcessList)
	}
}
